# Main

```lua
Config = {}
Config.Debug = true
Config.Locale = "en"

Config.SpawnVehicleClientSide = false -- Recommended: false | When "true", when Players disconnect the Vehicle will disappear
Config.CheckIfSpawnedVehicleExist = true -- Checks if the Vehicle that is parked out still exists on the (Server / on the Streets)

Config.GarageNpcHash = `a_m_y_business_01`
Config.ImpoundNpcHash = `mp_m_securoguard_01`

Config.Impound = {}
Config.Impound.Price = 3000
Config.Impound.PaymentMethod = "Money" -- Money or Bank | Default: "Money"
Config.Impound.RetrieveVehicleWithDamage = true
Config.Impound.Job = {}
Config.Impound.Job.Active = true
Config.Impound.Job.Reward = {
	Account = "Money", -- Money or Bank | Default: "Money"
	Amount = 50000
}

Config.ParkingInCountdown = 5

Config.ParkingOptions = {}
Config.ParkingOptions.RealisticParking = true
Config.ParkingOptions.UI = true
Config.ParkingOptions.Marker = true

Config.Parking = {}
Config.Parking.HitProtection = true
Config.Parking.LockSpawnedVehicle = false

Config.ParkingIndicator = {}
Config.ParkingIndicator.ParkingPoint = {}
Config.ParkingIndicator.ParkingPoint.Active = true
Config.ParkingIndicator.ParkingPoint.Height = 0.4
Config.ParkingIndicator.ParkingPoint.Color = {
	R = 200,
	G = 0,
	B = 0,
	Alpha = 45
}

Config.ParkingIndicator.Vehicle = {}
Config.ParkingIndicator.Vehicle.Active = true
Config.ParkingIndicator.Vehicle.CanPark = {
	R = 0,
	G = 255,
	B = 0,
	Alpha = 45
}
Config.ParkingIndicator.Vehicle.CanNotPark = {
	R = 255,
	G = 0,
	B = 0,
	Alpha = 45
}

Config.SaveVehicleInGarage = true

Config.Transfer = {}
Config.Transfer.Active = true           -- Can only be used with the Option SaveVehicleInGarage (is true)
Config.Transfer.PaymentMethod = "Money" -- Money or Bank | Default: "Money"
Config.Transfer.VehicleBlacklist = {
	-- "adder",
	-- "t20"
}

Config.Descriptions = {}
Config.Descriptions.Default = "With its roaring engine and sleek design, it's not just a car—it's a declaration of supremacy on wheels."
Config.Descriptions.Manafactures = {
	["mclaren"] = "Meet the McLaren Vortex: where speed meets sophistication in a sleek symphony of power."
}
Config.Descriptions.Vehicles = {
	["t20"] = [[
		The T20: a hellish fusion of speed and chaos, tearing through Los Santos with demonic fury, leaving nothing but shattered dreams and broken records in its wake.
	]]
}

Config.ClassTrunkWeights = {
	[VehicleClass.COMPACT] = 5000,
	[VehicleClass.SEDAN] = 5000,
	[VehicleClass.SUV] = 5000,
	[VehicleClass.COUPES] = 5000,
	[VehicleClass.MUSCLES] = 5000,
	[VehicleClass.CLASSICS] = 5000,
	[VehicleClass.SPORTS] = 5000,
	[VehicleClass.SUPER] = 5000,
	[VehicleClass.MOTORCYCLES] = 0,
	[VehicleClass.OFFROAD] = 5000,
	[VehicleClass.INDUSTRIAL] = 5000,
	[VehicleClass.UTILITY] = 5000,
	[VehicleClass.VANS] = 70000,
	[VehicleClass.BICYCLE] = 0,
	[VehicleClass.BOATS] = 5000,
	[VehicleClass.HELICOPTERS] = 0,
	[VehicleClass.PLANES] = 0,
	[VehicleClass.SERVICE] = 5000,
	[VehicleClass.EMERGENCY] = 90000,
	[VehicleClass.MILITARY] = 90000,
	[VehicleClass.COMMERCIAL] = 160000,
	[VehicleClass.TRAINS] = 0
}

Config.ImpoundBlip = {
	[ImpoundType.CAR_BIKES] = {
		sprite = 67,
		scale = 0.9,
		color = 47,
		name = "Impound",
		shortRange = true
	},
	[ImpoundType.BOATS] = {
		sprite = 67,
		scale = 0.9,
		color = 47,
		name = "Boat Impound",
		shortRange = true
	},
	[ImpoundType.PLANES] = {
		sprite = 67,
		scale = 0.9,
		color = 47,
		name = "Plane Impound",
		shortRange = true
	},
	[ImpoundType.HELICOPTERS] = {
		sprite = 67,
		scale = 0.9,
		color = 47,
		name = "Helicopter Impound",
		shortRange = true
	}
}


Config.GarageBlip = {
	[GarageType.CAR_BIKES] = {
		sprite = 357,
		scale = 0.9,
		color = 38,
		name = "Garage",
		shortRange = true
	},
	[GarageType.BOATS]  = {
		sprite = 356,
		scale = 0.9,
		color = 38,
		name = "Boat Garage",
		shortRange = true
	},
	[GarageType.PLANES]  = {
		sprite = 359,
		scale = 0.9,
		color = 38,
		name = "Plane Garage",
		shortRange = true
	},
	[GarageType.HELICOPTERS] = {
		sprite = 360,
		scale = 0.9,
		color = 38,
		name = "Helicopter Garage",
		shortRange = true
	},
	[GarageType.JOB_CAR_BIKE] = {
		sprite = 357,
		scale = 0.9,
		color = 38,
		name = "Job Garage",
		shortRange = true
	},
	[GarageType.JOB_BOATS]  = {
		sprite = 356,
		scale = 0.9,
		color = 38,
		name = "Job Boat Garage",
		shortRange = true
	},
	[GarageType.JOB_PLANES]  = {
		sprite = 359,
		scale = 0.9,
		color = 38,
		name = "Job Plane Garage",
		shortRange = true
	},
	[GarageType.JOB_HELICOPTERS] = {
		sprite = 360,
		scale = 0.9,
		color = 38,
		name = "Job Helicopter Garage",
		shortRange = true
	}
}

Config.Notify = function(_type, title, message, time)
	AddTextEntry('WiseGarageNotification', message)
	BeginTextCommandThefeedPost('WiseGarageNotification')
	EndTextCommandThefeedPostTicker(false, true)
end

Config.HelpNotify = function(message, location)
	-- exports.wise_notify:HelpNotify("E", message)
	if location then
		AddTextEntry('WiseGarageFloatingHelpNotification', "~INPUT_CONTEXT~ " .. message)
		SetFloatingHelpTextWorldPosition(1, location + vector3(0.0, 0.0, 1.8))
		SetFloatingHelpTextStyle(1, 1, 2, -1, 3, 0)
		BeginTextCommandDisplayHelp('WiseGarageFloatingHelpNotification')
		EndTextCommandDisplayHelp(2, false, false, -1)
	else
		AddTextEntry('WiseGarageHelpNotification', "~INPUT_CONTEXT~ " .. message)
		BeginTextCommandDisplayHelp('WiseGarageHelpNotification')
		EndTextCommandDisplayHelp(0, false, true, -1)
	end
end

Config.Commands = {}
Config.Commands.ResetVehicle = {}
Config.Commands.ResetVehicle.Active = true
Config.Commands.ResetVehicle.Permission = {
	"admin"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wise-scripts.vip/scripts/wise-garage/example-configs/main.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
